function Test=testsHoperator2D()
% automatic generation with sage
% using command load("buildTestsHoperatorV2.sage")
% from directory    : mVecFEMP1
% GIT current commit: commit 779b0080bc2f59ce1f44fd065e524a2eeb770b79
% GIT current branch: * master
% GIT remote URL    : ssh://lagagit/MCS/Cuvelier/sage/sageFEM
e=exp(1);

%
% Test number 1
%
i=1;
d=2;
name='sage_polyrand';
A{1,1}=@(x1,x2) 4.*x1 + 2.*x2 - 5./3;
A{1,2}=@(x1,x2) -2./3.*x1 - 2.*x2 + 4;
b{1}=@(x1,x2) 2.*x2;
c{1}=@(x1,x2) x2 - 1;
A{2,1}=@(x1,x2) -5.*x1 + 5./2.*x2;
A{2,2}=@(x1,x2) -1./2.*x1 + 4./3.*x2 + 1;
b{2}=@(x1,x2) 3.*x1 + 3./4.*x2;
c{2}=@(x1,x2) -1./3.*x1 - 3.*x2 - 1;
a0=@(x1,x2) -x1 - 2./3.*x2 + 2./3;
H{1,1}=Doperator(2,'A',A,'b',b,'c',c,'a0',a0,'name','sage_polyrand');
d=2;
name='sage_polyrand';
A{1,1}=@(x1,x2) 2.*x1 + 2.*x2 - 1;
A{1,2}=@(x1,x2) 2.*x1 + 1./2.*x2 - 3./4;
b{1}=@(x1,x2) x1 - 1./3.*x2 - 2./3;
c{1}=@(x1,x2) 2./3.*x1 - x2 - 1./5;
A{2,1}=@(x1,x2) -x2 - 1;
A{2,2}=@(x1,x2) -x1 - 4./3.*x2 + 2;
b{2}=@(x1,x2) -5./3.*x1 + 4./5.*x2 + 4;
c{2}=@(x1,x2) 4./3.*x1 - 2.*x2 + 5./3;
a0=@(x1,x2) -2.*x1 - 5.*x2 + 1;
H{1,2}=Doperator(2,'A',A,'b',b,'c',c,'a0',a0,'name','sage_polyrand');
d=2;
name='sage_polyrand';
A{1,1}=@(x1,x2) 1./2.*x1 + x2 - 3./2;
A{1,2}=@(x1,x2) 1./4.*x1 + 4./3.*x2 - 2./3;
b{1}=@(x1,x2) 2./3.*x1 - 1;
c{1}=@(x1,x2) 3.*x1 - 2./3.*x2 - 1./4;
A{2,1}=@(x1,x2) 5.*x1 + 4./3.*x2 + 1./4;
A{2,2}=@(x1,x2) 4./3.*x1 + 1./5.*x2 - 1./3;
b{2}=@(x1,x2) -4./3.*x1 + 3./4.*x2 + 4;
c{2}=@(x1,x2) -3./4.*x1 + 1./3.*x2 - 4./3;
a0=@(x1,x2) 1./2.*x1 - 3./4.*x2 - 1./2;
H{2,1}=Doperator(2,'A',A,'b',b,'c',c,'a0',a0,'name','sage_polyrand');
d=2;
name='sage_polyrand';
A{1,1}=@(x1,x2) 1./2.*x1 - 4.*x2;
A{1,2}=@(x1,x2) 5./3.*x1 + 1./2.*x2 - 1./4;
b{1}=@(x1,x2) -1./2.*x1 - 2.*x2 + 1;
c{1}=@(x1,x2) 1./3.*x1 - 2.*x2 + 2./5;
A{2,1}=@(x1,x2) -1./2.*x2 + 1./3;
A{2,2}=@(x1,x2) -3.*x1 + x2 - 1;
b{2}=@(x1,x2) x1 + 3./5.*x2 - 4./3;
c{2}=@(x1,x2) 2.*x1 + x2 - 1;
a0=@(x1,x2) -1./2.*x1 - 5.*x2 - 1./3;
H{2,2}=Doperator(2,'A',A,'b',b,'c',c,'a0',a0,'name','sage_polyrand');
Hop=buildHoperator(2,2,'H',H,'name','sage_polyrand');
u{1}=@(x1,x2)  -x1;
u{2}=@(x1,x2)  -3./2.*x1 - 3./5.*x2;
v{1}=@(x1,x2)  -3./2.*x1;
v{2}=@(x1,x2)  -x1 + 2.*x2;
Inum=0.2025000000000000;
I=81/400;
degree=1;
Test(i)=setTest(Hop,u,v,Inum,I,degree);

%
% Test number 2
%
i=2;
d=2;
name='sage_polyrand';
A{1,1}=@(x1,x2) -2./3.*x1.*x2 + 2.*x2.^2;
A{1,2}=@(x1,x2) -3./4.*x1.^2 + 1./2.*x2.^2 - 3./2.*x1;
b{1}=@(x1,x2) -2.*x2.^2 - 3.*x1 - 1./3;
c{1}=@(x1,x2) 3.*x1.*x2 + 4./5.*x2.^2 - x1;
A{2,1}=@(x1,x2) -2./3.*x1.^2 + 1./5.*x1.*x2;
A{2,2}=@(x1,x2) 3./4.*x2.^2 + 1;
b{2}=@(x1,x2) -2.*x1.^2 - 5./2.*x1.*x2 + x2.^2;
c{2}=@(x1,x2) -2./3.*x1.^2 + x2.^2;
a0=@(x1,x2) -3./4.*x1.^2 - 5./4.*x2.^2 - 1./2.*x2;
H{1,1}=Doperator(2,'A',A,'b',b,'c',c,'a0',a0,'name','sage_polyrand');
d=2;
name='sage_polyrand';
A{1,1}=@(x1,x2) -4./3.*x1.^2 - 3./2.*x2.^2;
A{1,2}=@(x1,x2) -x1.*x2 - 1./2.*x2.^2;
b{1}=@(x1,x2) -2.*x2.^2 - 2.*x2 + 1./2;
c{1}=@(x1,x2) 2./5.*x1.^2 - 3./2.*x2.^2 + x2;
A{2,1}=@(x1,x2) -1./2.*x1.*x2 - 3./2.*x2.^2 - 1./2.*x1;
A{2,2}=@(x1,x2) -x1.^2 - 4.*x2.^2 + 1./2.*x1;
b{2}=@(x1,x2) 2.*x1.^2 + 3./5.*x2.^2 + 2.*x1;
c{2}=@(x1,x2) 2./3.*x1.^2 + 2.*x1.*x2 - 5./4.*x2.^2;
a0=@(x1,x2) 1./3.*x1.*x2 + x2.^2 + 1./3;
H{1,2}=Doperator(2,'A',A,'b',b,'c',c,'a0',a0,'name','sage_polyrand');
d=2;
name='sage_polyrand';
A{1,1}=@(x1,x2) -1./3.*x2.^2 - 5./3.*x1 + 2;
A{1,2}=@(x1,x2) 1./2.*x2.^2 + 1./3.*x1 - 4;
b{1}=@(x1,x2) 2.*x2.^2 - 4./3.*x1 + 3.*x2;
c{1}=@(x1,x2) -3.*x1.*x2 - 3.*x2.^2;
A{2,1}=@(x1,x2) -1./4.*x1.^2 + 4./3.*x2.^2 + 3./5.*x2;
A{2,2}=@(x1,x2) 4./5.*x1.^2 - 5./3.*x2.^2 - 4./5.*x2;
b{2}=@(x1,x2) x2.^2 + 3.*x1;
c{2}=@(x1,x2) -3.*x1.*x2 + 1./2.*x2;
a0=@(x1,x2) x1.*x2 + 3.*x2.^2 + 1./2.*x1;
H{2,1}=Doperator(2,'A',A,'b',b,'c',c,'a0',a0,'name','sage_polyrand');
d=2;
name='sage_polyrand';
A{1,1}=@(x1,x2) -1./4.*x1.^2 + 3./4;
A{1,2}=@(x1,x2) -5./3.*x1.*x2 - 3.*x2.^2 + 5./2;
b{1}=@(x1,x2) -4./5.*x1.*x2 - 3./2.*x2.^2 + 1./3.*x1;
c{1}=@(x1,x2) -x2.^2 + 1./2.*x2 - 1;
A{2,1}=@(x1,x2) 1./2.*x2.^2 - 2./3.*x1 + 1./4;
A{2,2}=@(x1,x2) -5./2.*x1.*x2 + x2.^2 - 1./3;
b{2}=@(x1,x2) -4.*x2.^2 - 4./3.*x1 - 3.*x2;
c{2}=@(x1,x2) -2.*x1.^2 - 2.*x1.*x2 - 2.*x2.^2;
a0=@(x1,x2) 2.*x2.^2 + 1./2.*x1 + 3;
H{2,2}=Doperator(2,'A',A,'b',b,'c',c,'a0',a0,'name','sage_polyrand');
Hop=buildHoperator(2,2,'H',H,'name','sage_polyrand');
u{1}=@(x1,x2)  x1.*x2 - 1;
u{2}=@(x1,x2)  1./2.*x1.*x2 + 2./3.*x2;
v{1}=@(x1,x2)  4./5.*x2.^2 - 1./2;
v{2}=@(x1,x2)  3.*x2 - 2;
Inum=5.977070987654321;
I=1936571/324000;
degree=2;
Test(i)=setTest(Hop,u,v,Inum,I,degree);

%
% Test number 3
%
i=3;
d=2;
name='sage_polyrand';
A{1,1}=@(x1,x2) 4.*x1.*x2.^2 - 4.*x2.^2 - x2;
A{1,2}=@(x1,x2) -2.*x2.^3 + x1.^2 + 2.*x1;
b{1}=@(x1,x2) 1./4.*x1.*x2.^2 - 4.*x1.^2;
c{1}=@(x1,x2) -2.*x2.^3 + 5./3.*x1.*x2 + 3.*x1;
A{2,1}=@(x1,x2) -4.*x1.^2.*x2 + 4./3.*x2.^2 + 1./2;
A{2,2}=@(x1,x2) -5./3.*x2.^3 + 5./2.*x1.*x2 - 2./5;
b{2}=@(x1,x2) -2./5.*x1.^2.*x2 + 3./5.*x2.^3 + 3./5;
c{2}=@(x1,x2) -5.*x1.^2 + 4./3.*x1 + 5./3;
a0=@(x1,x2) 2./5.*x1.^2 + 5.*x1.*x2 - x2;
H{1,1}=Doperator(2,'A',A,'b',b,'c',c,'a0',a0,'name','sage_polyrand');
d=2;
name='sage_polyrand';
A{1,1}=@(x1,x2) -2.*x1.*x2.^2 - 5./4.*x2.^3 - 2;
A{1,2}=@(x1,x2) x1.*x2.^2 + x2.^3 - 1./5.*x1;
b{1}=@(x1,x2) x1.*x2.^2 - 3.*x2.^3 - 1./3.*x1.*x2;
c{1}=@(x1,x2) x1.*x2.^2 + 3./5.*x1.^2 + 3./2.*x2.^2;
A{2,1}=@(x1,x2) x1.^2 - 4.*x1.*x2;
A{2,2}=@(x1,x2) -1./4.*x1.*x2.^2 - 1./4.*x2.^3 - x1.*x2;
b{2}=@(x1,x2) -x1.*x2.^2 - x1.*x2;
c{2}=@(x1,x2) x1.^2.*x2 - 4./3.*x1.*x2;
a0=@(x1,x2) -2./3.*x1.^2.*x2 + 4./5.*x2.^2 - x2;
H{1,2}=Doperator(2,'A',A,'b',b,'c',c,'a0',a0,'name','sage_polyrand');
d=2;
name='sage_polyrand';
A{1,1}=@(x1,x2) 2.*x1.*x2.^2 + 5;
A{1,2}=@(x1,x2) -1./2.*x1.^2.*x2 - 4./3.*x1 + 2.*x2;
b{1}=@(x1,x2) 1./3.*x1.*x2.^2 + x2.^3;
c{1}=@(x1,x2) -3./2.*x2.^3;
A{2,1}=@(x1,x2) -1./2.*x1.*x2.^2 - x1 - 3./5.*x2;
A{2,2}=@(x1,x2) -3./5.*x1.*x2.^2 + 1./4.*x1.^2 + x1.*x2;
b{2}=@(x1,x2) -1./3.*x1.*x2.^2 - x1.*x2 + 1./2.*x2.^2;
c{2}=@(x1,x2) -x1.*x2.^2 - 1./2.*x2.^3 - 2./3.*x1.*x2;
a0=@(x1,x2) 1./5.*x1.*x2.^2 + 3./5.*x1.*x2 - 1;
H{2,1}=Doperator(2,'A',A,'b',b,'c',c,'a0',a0,'name','sage_polyrand');
d=2;
name='sage_polyrand';
A{1,1}=@(x1,x2) 1./4.*x1.*x2.^2 - 3./2.*x2.^2 + 1./2.*x1;
A{1,2}=@(x1,x2) -3./5.*x2.^3 - 2.*x1.^2 - 4./3.*x2.^2;
b{1}=@(x1,x2) 5./2.*x1.^2.*x2 + 1./5.*x1.^2 - 3./4.*x1;
c{1}=@(x1,x2) 2./3.*x1.^2.*x2 + x1.*x2.^2 + 1./2.*x1.^2;
A{2,1}=@(x1,x2) -3.*x2 - 4./3;
A{2,2}=@(x1,x2) 3./4.*x1.^2 - 2.*x2 + 5./3;
b{2}=@(x1,x2) x1.^2 - x2.^2 + 4.*x2;
c{2}=@(x1,x2) x1.^2.*x2 - 1./4.*x1 + 4./5.*x2;
a0=@(x1,x2) 3./2.*x2.^2 + 3.*x1;
H{2,2}=Doperator(2,'A',A,'b',b,'c',c,'a0',a0,'name','sage_polyrand');
Hop=buildHoperator(2,2,'H',H,'name','sage_polyrand');
u{1}=@(x1,x2)  3./2.*x1.^2 - 1;
u{2}=@(x1,x2)  4.*x1.*x2.^2 - 2./5.*x1;
v{1}=@(x1,x2)  -x1.*x2.^2 - x2.^3;
v{2}=@(x1,x2)  -4./3.*x2.^3 + 2.*x1.^2;
Inum=31.02994973544974;
I=11729321/378000;
degree=3;
Test(i)=setTest(Hop,u,v,Inum,I,degree);

%
% Test number 4
%
i=4;
d=2;
name='sage_polyrand';
A{1,1}=@(x1,x2) 3./5.*x2.^4 - 1./3.*x2 - 3;
A{1,2}=@(x1,x2) 4./3.*x1.^2.*x2.^2 + 4./3.*x2.^4 - 1./2;
b{1}=@(x1,x2) 4.*x1.^2.*x2.^2 + x1.*x2.^3 + 1./2.*x2.^3;
c{1}=@(x1,x2) x1.*x2.^2 + 5./2.*x1.^2 - x2.^2;
A{2,1}=@(x1,x2) -x1.^2 + 3./2.*x2 + 1;
A{2,2}=@(x1,x2) 2./3.*x2.^2 + 4./3.*x1 - 5./4;
b{2}=@(x1,x2) -5./3.*x1.*x2.^2 + x1 - 2./3;
c{2}=@(x1,x2) x1.^2.*x2 - x1.*x2.^2 - 4;
a0=@(x1,x2) 1./2.*x1.*x2.^3 + 4.*x1.^2.*x2 + 5./2.*x2.^2;
H{1,1}=Doperator(2,'A',A,'b',b,'c',c,'a0',a0,'name','sage_polyrand');
d=2;
name='sage_polyrand';
A{1,1}=@(x1,x2) 5./4.*x1.^3.*x2 - x1.^2.*x2.^2 - 3.*x2.^3;
A{1,2}=@(x1,x2) 2.*x1.^3 + x1.*x2;
b{1}=@(x1,x2) -1./5.*x1.^2.*x2 - x1.^2 - 2.*x2;
c{1}=@(x1,x2) -x1.^3.*x2 + 3.*x1.*x2.^2 + x2.^2;
A{2,1}=@(x1,x2) -4.*x2.^4 + 4./5.*x1.^2 + 5.*x2.^2;
A{2,2}=@(x1,x2) 1./2.*x2.^4 - 3./5.*x1.^3;
b{2}=@(x1,x2) 5./4.*x1.^2.*x2 + 4./3.*x1.*x2.^2 - 2./3.*x1.^2;
c{2}=@(x1,x2) -x1.*x2.^2 - 2./3.*x2.^3 - 1./2.*x2;
a0=@(x1,x2) -x1.*x2.^2 - 2.*x1.*x2 + 3./4.*x2;
H{1,2}=Doperator(2,'A',A,'b',b,'c',c,'a0',a0,'name','sage_polyrand');
d=2;
name='sage_polyrand';
A{1,1}=@(x1,x2) x1.^3.*x2 - 3./2.*x2.^3 + 2.*x2.^2;
A{1,2}=@(x1,x2) x2;
b{1}=@(x1,x2) -2./3.*x2.^4 - 2.*x1.^3 + x1.*x2.^2;
c{1}=@(x1,x2) -4./3.*x1.*x2 + x2 + 1./2;
A{2,1}=@(x1,x2) x1.^2.*x2.^2 - 5./3.*x2.^3 + 3./4.*x1;
A{2,2}=@(x1,x2) 5./3.*x1.*x2.^3 + 5./3.*x2.^4 + 3./5.*x2.^3;
b{2}=@(x1,x2) 5.*x2.^4 - 3./2.*x1.^2 + 1;
c{2}=@(x1,x2) 2.*x1.^2 + 1./5.*x1 + x2;
a0=@(x1,x2) 2./5.*x2.^3 - 4./3.*x1;
H{2,1}=Doperator(2,'A',A,'b',b,'c',c,'a0',a0,'name','sage_polyrand');
d=2;
name='sage_polyrand';
A{1,1}=@(x1,x2) x1.^3.*x2 - 4./5.*x2.^4;
A{1,2}=@(x1,x2) x2.^4 - 2.*x1.*x2.^2 - 5./2.*x1;
b{1}=@(x1,x2) x2.^4 - 3./4.*x2.^2 + 5./2;
c{1}=@(x1,x2) -1./2.*x1.^3.*x2 + 1./3.*x1.^2.*x2.^2 + 3./4.*x2.^3;
A{2,1}=@(x1,x2) 3./4.*x1.*x2.^3 - 4./3.*x2.^3 - 5.*x2.^2;
A{2,2}=@(x1,x2) -x1.^3.*x2 + x1.^2 + 4.*x2.^2;
b{2}=@(x1,x2) x1.^2.*x2 + 1./4.*x1.*x2.^2 - 2.*x1.^2;
c{2}=@(x1,x2) x1.^2.*x2 + 1;
a0=@(x1,x2) 5./2.*x1.*x2.^3 + 2./3.*x1.^3 + 1./2.*x2.^3;
H{2,2}=Doperator(2,'A',A,'b',b,'c',c,'a0',a0,'name','sage_polyrand');
Hop=buildHoperator(2,2,'H',H,'name','sage_polyrand');
u{1}=@(x1,x2)  -4./3.*x2.^4 + 1./4.*x1.^3;
u{2}=@(x1,x2)  2./5.*x1.^2.*x2.^2 + 2./3.*x1.*x2.^3;
v{1}=@(x1,x2)  x1.^3 + 1./2.*x1.^2;
v{2}=@(x1,x2)  2.*x1.*x2.^3 - x1.^3;
Inum=-1.857265086379670;
I=-74136079/39916800;
degree=4;
Test(i)=setTest(Hop,u,v,Inum,I,degree);

%
% Test number 5
%
i=5;
d=2;
name='sage_polyrand';
A{1,1}=@(x1,x2) -1./2.*x1.^4.*x2 + 2.*x1.^3.*x2 - 2./5.*x2;
A{1,2}=@(x1,x2) -x1.^2.*x2.^2 - 1./4.*x1.^2.*x2 + 1;
b{1}=@(x1,x2) -4./3.*x1.^2.*x2.^3 + x1.^2.*x2 - 5./2.*x1;
c{1}=@(x1,x2) 4.*x1.^2.*x2.^2 - x1.*x2.^3;
A{2,1}=@(x1,x2) x1.^4 - 3./4.*x2.^4 + 4;
A{2,2}=@(x1,x2) -2./5.*x1.^3.*x2.^2 + 1./5.*x1.*x2.^4 + x2;
b{2}=@(x1,x2) -1./2.*x1.^4 - 2.*x1.^3 - 4./3.*x1.*x2.^2;
c{2}=@(x1,x2) -x1.^3 + 2.*x2.^3 + 3./2.*x2;
a0=@(x1,x2) x1.*x2.^3 + 1./2.*x1.^2.*x2 - 2./3.*x2;
H{1,1}=Doperator(2,'A',A,'b',b,'c',c,'a0',a0,'name','sage_polyrand');
d=2;
name='sage_polyrand';
A{1,1}=@(x1,x2) -1./2.*x1.^4.*x2 + 2./3.*x1.^2.*x2.^2 - x2.^2;
A{1,2}=@(x1,x2) -3./5.*x1.^2.*x2.^3 - 3./2.*x1.*x2.^2;
b{1}=@(x1,x2) 4.*x1.*x2.^4 + x1.*x2.^3 - 2.*x2.^4;
c{1}=@(x1,x2) -x1.^2.*x2.^3 - 1./2.*x1.^2.*x2 - 1./3.*x1.*x2;
A{2,1}=@(x1,x2) 5./4.*x2.^4 + 1./3.*x1.*x2;
A{2,2}=@(x1,x2) 3.*x1.^3.*x2 - x1.^2.*x2.^2 - 2;
b{2}=@(x1,x2) 1./3.*x1.^3.*x2.^2 + 4./5.*x1.^2.*x2;
c{2}=@(x1,x2) x2.^5 - 4./3.*x1.*x2.^2 - 2.*x2.^2;
a0=@(x1,x2) 2.*x2.^4 + x1.*x2.^2;
H{1,2}=Doperator(2,'A',A,'b',b,'c',c,'a0',a0,'name','sage_polyrand');
d=2;
name='sage_polyrand';
A{1,1}=@(x1,x2) -1./3.*x1.^2.*x2.^3 + x2.^5 - x2.^2;
A{1,2}=@(x1,x2) x1.^3.*x2 + x1.*x2.^3 - 3./5.*x2.^3;
b{1}=@(x1,x2) -4.*x1.^3.*x2.^2 - 3./5.*x1.^2.*x2.^3 - 3./4.*x2.^3;
c{1}=@(x1,x2) -1./2.*x1.*x2 + 2.*x2;
A{2,1}=@(x1,x2) 5./2.*x1.^3 + 1./5.*x2.^2 + 4.*x2;
A{2,2}=@(x1,x2) -2./5.*x1.^4.*x2 + 1./2.*x1.^3 + 1./2.*x1.^2;
b{2}=@(x1,x2) -2./3.*x1.*x2.^2 - 3.*x2.^2;
c{2}=@(x1,x2) 5./2.*x2.^4 - 1./2.*x1.^2 - 5./4.*x1;
a0=@(x1,x2) 1./4.*x2.^5 - 4./3.*x1.^2.*x2.^2 - 1./3.*x1.*x2.^2;
H{2,1}=Doperator(2,'A',A,'b',b,'c',c,'a0',a0,'name','sage_polyrand');
d=2;
name='sage_polyrand';
A{1,1}=@(x1,x2) -x1.^4 - 4.*x1.^2.*x2 - x1.^2;
A{1,2}=@(x1,x2) 3.*x1.^2.*x2 + 4./3.*x1.*x2.^2 - 1./2.*x2.^2;
b{1}=@(x1,x2) 2.*x1.*x2.^3 + 5;
c{1}=@(x1,x2) -5.*x1.^3.*x2 + 4.*x2.^4 + 3.*x1.*x2;
A{2,1}=@(x1,x2) 1./2.*x1.^2.*x2 - 2.*x1;
A{2,2}=@(x1,x2) 1./3.*x1.^3.*x2.^2 + 4./3.*x1.*x2.^3 + 5.*x2.^4;
b{2}=@(x1,x2) 2./5.*x1.^3.*x2.^2 + 2.*x1.^2.*x2.^3 + 3.*x2;
c{2}=@(x1,x2) -x1.^4 + 2.*x1;
a0=@(x1,x2) 5.*x2.^4 + 1./4;
H{2,2}=Doperator(2,'A',A,'b',b,'c',c,'a0',a0,'name','sage_polyrand');
Hop=buildHoperator(2,2,'H',H,'name','sage_polyrand');
u{1}=@(x1,x2)  x1.^3.*x2.^2 + 2.*x1.^2.*x2.^2;
u{2}=@(x1,x2)  -2./3.*x1.^3.*x2 - x1.*x2.^3;
v{1}=@(x1,x2)  4./5.*x1.^3.*x2;
v{2}=@(x1,x2)  3./4.*x1.*x2.^3 - x2.^4;
Inum=2.063296475526237;
I=3603258433/1746360000;
degree=5;
Test(i)=setTest(Hop,u,v,Inum,I,degree);

%
% Test number 6
%
i=6;
d=2;
name='sage_polyrand';
A{1,1}=@(x1,x2) x1.^5 + 5./3.*x1 - 4./3.*x2;
A{1,2}=@(x1,x2) x1.^3.*x2.^3 - 2.*x2.^3 - x2;
b{1}=@(x1,x2) -3.*x1.^5.*x2 - 2./3.*x1.^4;
c{1}=@(x1,x2) x2.^2 - 1;
A{2,1}=@(x1,x2) -x1.^2.*x2.^4 + 5./4.*x1.*x2.^2 + 4./3.*x2.^2;
A{2,2}=@(x1,x2) 2.*x1.^5.*x2 - x1.^5;
b{2}=@(x1,x2) -x1.*x2.^5 + x1.^2.*x2.^2 + 4.*x1.*x2.^3;
c{2}=@(x1,x2) 5./4.*x1.^3.*x2.^3 + x1.^2.*x2.^3 + 3./2.*x1.^3.*x2;
a0=@(x1,x2) x1.^3.*x2.^2 + 4./5.*x2.^5;
H{1,1}=Doperator(2,'A',A,'b',b,'c',c,'a0',a0,'name','sage_polyrand');
d=2;
name='sage_polyrand';
A{1,1}=@(x1,x2) x1.^3.*x2.^3 - 3./5.*x1.^3.*x2.^2;
A{1,2}=@(x1,x2) -2.*x1.^4.*x2 + 5./4.*x1.^4 + 2.*x2.^3;
b{1}=@(x1,x2) 4.*x1.^3.*x2.^3 + 2.*x1.*x2.^5 - 1./2.*x1.*x2.^2;
c{1}=@(x1,x2) 3./2.*x1.^4.*x2.^2 + x1.^4.*x2 - 2./3.*x1.^2.*x2.^2;
A{2,1}=@(x1,x2) -x2.^6 + 2.*x1.^3 + 4./5.*x1.*x2;
A{2,2}=@(x1,x2) 3.*x1.^4 - 1./3.*x1;
b{2}=@(x1,x2) -5.*x1.^4 - x1.^2.*x2 - 1./5.*x2;
c{2}=@(x1,x2) -4./5.*x1.^5.*x2 + x1.*x2.^4 + x1.^3.*x2;
a0=@(x1,x2) 1./2.*x1.^2.*x2.^2 - 4.*x1 + 3.*x2;
H{1,2}=Doperator(2,'A',A,'b',b,'c',c,'a0',a0,'name','sage_polyrand');
d=2;
name='sage_polyrand';
A{1,1}=@(x1,x2) 2./5.*x1.^5.*x2 - 3.*x1.*x2.^2 - 5;
A{1,2}=@(x1,x2) x1.^4.*x2 + 5./3.*x2.^5 + 2.*x2;
b{1}=@(x1,x2) x1.*x2.^5 + 5./4.*x1.^3.*x2 + x1.^3;
c{1}=@(x1,x2) x1.^4.*x2.^2 - 2./3.*x1.*x2.^5 - 4./3.*x2.^5;
A{2,1}=@(x1,x2) -x1.^4.*x2 - 4.*x1.*x2.^4 + 5./2.*x2.^5;
A{2,2}=@(x1,x2) 5./4.*x1.^2.*x2.^2 + 2.*x1.*x2.^2 + 1./3.*x2.^3;
b{2}=@(x1,x2) x1.^4.*x2.^2 + 2./3.*x1.^5 - 3.*x1.^3.*x2.^2;
c{2}=@(x1,x2) 4./3.*x1.*x2.^5 + 5.*x1.^3.*x2 + 1./4.*x2.^2;
a0=@(x1,x2) 1./3.*x1.^3.*x2.^2 - 1./2.*x1.*x2.^2;
H{2,1}=Doperator(2,'A',A,'b',b,'c',c,'a0',a0,'name','sage_polyrand');
d=2;
name='sage_polyrand';
A{1,1}=@(x1,x2) -1./5.*x2.^4 + x1;
A{1,2}=@(x1,x2) -x1.^3.*x2.^3 + 3./2.*x2.^2 + 3./5.*x1;
b{1}=@(x1,x2) -4.*x1.*x2.^5 - 1./2.*x1.^3 - x2.^3;
c{1}=@(x1,x2) -x1.^3.*x2.^3 + 4./3.*x1.*x2.^3 + 3./2.*x2.^4;
A{2,1}=@(x1,x2) 1./5.*x2.^6 - 1./3.*x1.^5 - 1./2.*x1.^2.*x2.^2;
A{2,2}=@(x1,x2) 1./2.*x1.*x2.^4 - 1./2.*x1.^2 - 2./3.*x2;
b{2}=@(x1,x2) 2./5.*x1.^3.*x2.^2 + 3./2.*x1.^2.*x2.^3 + 1./5.*x1.^4;
c{2}=@(x1,x2) 2./3.*x1.^5 + 1./4.*x2.^2 + 1./5.*x1;
a0=@(x1,x2) 4.*x1.^4.*x2.^2 + 2./3.*x1.^3.*x2.^3 - 3./4.*x1.*x2.^5;
H{2,2}=Doperator(2,'A',A,'b',b,'c',c,'a0',a0,'name','sage_polyrand');
Hop=buildHoperator(2,2,'H',H,'name','sage_polyrand');
u{1}=@(x1,x2)  4./3.*x1.^3.*x2 - 2.*x2.^3;
u{2}=@(x1,x2)  -3./2.*x1.^3.*x2 + x1.*x2.^3;
v{1}=@(x1,x2)  4./3.*x1.^5.*x2 + 1./2.*x1.^2.*x2.^2;
v{2}=@(x1,x2)  -x2.^3 - 2./5.*x1.^2;
Inum=14.91190461827267;
I=4464266357/299376000;
degree=6;
Test(i)=setTest(Hop,u,v,Inum,I,degree);
